package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

import java.util.Collection;
import java.util.Map;

import org.w3c.dom.Node;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface ArtifactDescription extends Serializable {

    /**
     * @return the currentUI
     */
    public Node getCurrentUI();

    /**
     * @param currentUI
     *            the currentUI to set
     */
    public void setCurrentUI(Node currentUI);

    /**
     * @param currentOut
     *            the currentOut to set
     */
    public void setCurrentOut(Node currentOut);

    /**
     * @return the reachableStates
     */
    public Collection<String> getReachableStates();

    /**
     * @param reachableStates
     *            the reachableStates to set
     */
    public void setReachableStates(Collection<String> reachableStates);

    /**
     * @return the currentState
     */
    public String getCurrentState();

    /**
     * @param currentState
     *            the currentState to set
     */
    public void setCurrentState(String currentState);

    /**
     * @return the reachableStates
     */
    public Collection<String> getInputParameter();

    /**
     * @param inputParameter
     */
    public void setInputParameter(Collection<String> inputParameter);

    /**
     * @return the reachableStates
     */
    public Map<String, OutputMode> getOutputModes();

    /**
     * @return the reachableStates
     */
    public Collection<OutputMode> getOutputModesAsCollection();

    /**
     * @param outputParameter
     */
    public void setOutputModes(Map<String, OutputMode> outputModes);

}
